| Version: 3.0.4

Public Types | Public Attributes | List of all members
wxAuiDockUIPart Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/aui/framemanager.h>`

## Public Types
enum | { typeCaption, typeGripper, typeDock, typeDockSizer, typePane, typePaneSizer, typeBackground, typePaneBorder, typePaneButton }

## Public Attributes
int | type
int | orientation
wxAuiDockInfo * | dock
wxAuiPaneInfo * | pane
wxAuiPaneButton * | button
wxSizer * | cont_sizer
wxSizerItem * | sizer_item
wxRect | rect

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
typeCaption |
typeGripper |
typeDock |
typeDockSizer |
typePane |
typePaneSizer |
typeBackground |
typePaneBorder |
typePaneButton |

## Member Data Documentation

## ◆ button

wxAuiPaneButton* wxAuiDockUIPart::button

## ◆ cont_sizer

wxSizer* wxAuiDockUIPart::cont_sizer

## ◆ dock

wxAuiDockInfo* wxAuiDockUIPart::dock

## ◆ orientation

int wxAuiDockUIPart::orientation

## ◆ pane

wxAuiPaneInfo* wxAuiDockUIPart::pane

## ◆ rect

wxRect wxAuiDockUIPart::rect

## ◆ sizer_item

wxSizerItem* wxAuiDockUIPart::sizer_item

## ◆ type

int wxAuiDockUIPart::type